blog/urls.py
from django.urls import path

from . import views
from .views import ArticleDetail, CategoryDetail

app_name = 'blog'

urlpatterns = [
    # Articles
    path('', views.article_list, name='article_list'),
    path("<slug:slug>", ArticleDetail.as_view(), name="article-detail"),

    # Categories
    path('list/', views.category_list, name='category_list'),
    path("<slug:slug>", CategoryDetail.as_view(), name="category-detail"),


]

home/urls.py
from django.urls import path

from . import views

app_name = 'home'

urlpatterns = [
    path("", views.home_page, name="homePAge"),
]

jobs/urls.py
from django.urls import  path

from . import views

app_name = 'jobs'

urlpatterns = [
    path('', views.job_list, name='job_list'),
    path('create-job', views.create_job, name='create_job'),
    path("<slug:slug>", views.job_detail, name="job_detail"),

    # Categories
    path('categories/', views.categories_list, name='categories_list'),
    path("categories/<slug:slug>/", views.category_list, name="category-list"),
]

project/urls.py
from django.contrib import admin
from django.urls import path, include

from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('accounts/', include('django.contrib.auth.urls')),
    path('accounts/', include('accounts.urls', namespace='accounts')),
    path('admin/', admin.site.urls),
    path('jobs/', include('jobs.urls', namespace='jobs')),
    path('contact', include('contact.urls', namespace='contact')),
    path('blog/', include('blog.urls', namespace='blog')),
    path('', include('home.urls', namespace='home')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

home/models.py
from django.db import models

# Create your models here.

home/views.py
from django.core.paginator import Paginator
from django.shortcuts import render
from django.views import generic

from jobs.filters import JobFilter
from jobs.models import Job, Category


def home_page(request):
    job_list = Job.objects.all()
    category_list = Category.objects.all()

    # FILTERS
    my_filter = JobFilter(request.GET, queryset=job_list)
    job_list = my_filter.qs

    context = {
        'jobs': job_list,
        'myFilter': my_filter,
        'categories': category_list,
    }
    return render(request, 'home/home.html', context)

home/templates/home/home.html
{% extends 'base.html' %}

{% block body %}



    <!--[if lte IE 9]>
            <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="https://browsehappy.com/">upgrade your browser</a> to improve your experience and security.</p>
    <![endif]-->


    <!-- slider_area_start -->
    <div class="slider_area">
        <div class="single_slider  d-flex align-items-center slider_bg_1">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-7 col-md-6">
                        <div class="slider_text">
                            <h5 class="wow fadeInLeft" data-wow-duration="1s" data-wow-delay=".2s">4536+ Jobs listed</h5>
                            <h3 class="wow fadeInLeft" data-wow-duration="1s" data-wow-delay=".3s">Find your Dream Job</h3>
                            <p class="wow fadeInLeft" data-wow-duration="1s" data-wow-delay=".4s">We provide online instant cash loans with quick approval that suit your term length</p>
                            <div class="sldier_btn wow fadeInLeft" data-wow-duration="1s" data-wow-delay=".5s">
                                <a href="{% url 'jobs:job_list' %}" class="boxed-btn3">See Jobs</a>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ilstration_img wow fadeInRight d-none d-lg-block text-right" data-wow-duration="1s" data-wow-delay=".2s">
            <img src="img/banner/illustration.png" alt="">
        </div>
    </div>
    <!-- slider_area_end -->



    <!-- job_listing_area_start  -->
    <div class="job_listing_area pt-5">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6">
                    <div class="section_title">
                        <h3>Job Listing</h3>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="brouse_job text-right">
                        <a href="{% url 'jobs:job_list' %}" class="boxed-btn4">Browse More Job</a>
                    </div>
                </div>
            </div>


            <div class="job_lists">
                <div class="row">

                            {% for job in jobs %}
                                <div class="col-lg-12 col-md-12">
                                    <div class="single_jobs white-bg d-flex justify-content-between">
                                        <div class="jobs_left d-flex align-items-center">

                                            <div class="thumb">
                                                {% if job.image %}
                                                    <img src="{{ job.image.url }}" alt="">
                                                {% else %}
                                                   <p>No Image</p>
                                                {% endif %}
                                            </div>

                                            <div class="jobs_conetent">
                                                <a href="{% url 'jobs:job_detail' job.slug %} "><h4>{{ job.title }}</h4></a>
                                                <div class="links_locat d-flex align-items-center">
                                                    <div class="location">
                                                        <p> <i class="fa fa-map-marker"></i> California, USA (STATIC)</p>
                                                    </div>

                                                    <div class="location">
                                                        <p> <i class="fa fa-clock-o"></i>{{ job.job_type }}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    <div class="jobs_right">

                                        <div class="apply_now">
                                            <a class="heart_mark" href="#"> <i class="fa fa-heart"></i> </a>
                                            <a href={%  url 'jobs:job_detail' job.slug %} class="boxed-btn3">Apply Now</a>
                                        </div>

                                        <div class="date">
                                            <p>Date line: {{ job.published_at|date:'d, M, o'}}</p>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        {% endfor %}


                        <div class="col-lg-12 col-md-12">
                            <div class="single_jobs white-bg d-flex justify-content-between">
                                <div class="jobs_left d-flex align-items-center">
                                    <div class="thumb">
                                        <img src="img/svg_icon/1.svg" alt="">
                                    </div>
                                    <div class="jobs_conetent">
                                        <a href="job_details.html"><h4>Software Engineer</h4></a>
                                        <div class="links_locat d-flex align-items-center">
                                            <div class="location">
                                                <p> <i class="fa fa-map-marker"></i> California, USA</p>
                                            </div>
                                            <div class="location">
                                                <p> <i class="fa fa-clock-o"></i> Part-time</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="jobs_right">
                                    <div class="apply_now">
                                        <a class="heart_mark" href="#"> <i class="ti-heart"></i> </a>
                                        <a href="job_details.html" class="boxed-btn3">Apply Now</a>
                                    </div>
                                    <div class="date">
                                        <p>Date line: 31 Jan 2020</p>
                                    </div>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- job_listing_area_end  -->


{% endblock body %}